## procmail 3.22

=== Makefile ===
#$Id: Makefile,v 1.76 2001/07/12 01:27:19 guenther Exp $

# BASENAME should point to where the whole lot will be installed
# change BASENAME to your home directory if need be
BASENAME	= /usr
# For display in the man pages
VISIBLE_BASENAME= $(BASENAME)

# You can predefine ARCHITECTURE to a bin directory suffix
ARCHITECTURE	=
#ARCHITECTURE	=.sun4

BINDIR_TAIL	= bin$(ARCHITECTURE)
MANDIR		= $(BASENAME)/man
BINDIR		= $(BASENAME)/$(BINDIR_TAIL)
VISIBLE_BINDIR	= $(VISIBLE_BASENAME)/$(BINDIR_TAIL)
# MAN1SUFFIX for regular utility manuals
MAN1SUFFIX	=1
# MAN5SUFFIX for file-format descriptions
MAN5SUFFIX	=5
MAN1DIR		= $(MANDIR)/man$(MAN1SUFFIX)
MAN5DIR		= $(MANDIR)/man$(MAN5SUFFIX)

# Uncomment to install compressed man pages (possibly add extra suffix
# to the definitions of MAN?DIR and/or MAN?SUFFIX by hand)
#MANCOMPRESS = compress

############################*#
# Things that can be made are:
#
# help (or targets)	Displays this list you are looking at
# init (or makefiles)	Performs some preliminary sanity checks on your system
#			and generates Makefiles accordingly
# bins			Preinstalls only the binaries to ./new
# mans			Preinstalls only the man pages to ./new
# all			Does both
# install.bin		Installs the binaries from ./new to $(BINDIR)
# install.man		Installs the man pages from ./new to $(MAN[15]DIR)
# install		Does both
# recommend		Show some recommended suid/sgid modes
# install-suid		Impose the modes shown by 'make recommend'
# clean			Attempts to restore the package to pre-make state
# realclean		Attempts to restore the package to pre-make-init state
# deinstall		Removes any previously installed binaries and man
#			pages from your system by careful surgery
# autoconf.h		Will list your system's anomalies
# procmail		Preinstalls just all procmail related stuff to ./new
# formail		Preinstalls just all formail related stuff to ./new
# lockfile		Preinstalls just all lockfile related stuff to ./new
# setid			Creates the setid binary needed by the SmartList
#			installation
######################*#

# Makefile.0 - mark, don't (re)move this, a sed script needs it

LOCKINGTEST=__defaults__

#LOCKINGTEST=/tmp .	# Uncomment and add any directories you see fit.
#			If LOCKINGTEST is defined, autoconf will NOT
#			prompt you to enter additional directories.
#			See INSTALL for more information about the
#			significance of the locking tests.

########################################################################
# Only edit below this line if you *think* you know what you are doing #
########################################################################

#LOCKINGTEST=100	# Uncomment (and change) if you think you know
#			it better than the autoconf lockingtests.
#			This will cause the lockingtests to be hotwired.
#			100	to enable fcntl()
#			010	to enable lockf()
#			001	to enable flock()
#			Or them together to get the desired combination.

# Optional system libraries we search for
SEARCHLIBS = -lm -ldir -lx -lsocket -lnet -linet -lnsl_s -lnsl_i -lnsl -lsun \
 -lgen -lsockdns -ldl
#			-lresolv	# not really needed, is it?

# Informal list of directories where we look for the libraries in SEARCHLIBS
LIBPATHS=/lib /usr/lib /usr/local/lib

GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat -Wtraditional \
 -Wpointer-arith -Wconversion -Waggregate-return \
 #-Wimplicit -Wshadow -Wid-clash-6 #-Wuninitialized

# The place to put your favourite extra cc flag
CFLAGS0 = -O #$(GCC_WARNINGS)
LDFLAGS0= -s
# Read my libs :-)
LIBS=

CFLAGS1 = $(CFLAGS0) #-posix -Xp
LDFLAGS1= $(LDFLAGS0) $(LIBS) #-lcposix

####CC	= cc # gcc
# object file extension
O	= o
RM	= /bin/rm -f
MV	= mv -f
LN	= ln
BSHELL	= /bin/sh
INSTALL = cp
DEVNULL = /dev/null
STRIP	= strip
MKDIRS	= new/mkinstalldirs

SUBDIRS = src man
BINSS	= procmail lockfile formail mailstat
MANS1S	= procmail formail lockfile
MANS5S	= procmailrc procmailsc procmailex

# Possible locations for the sendmail.cf file
SENDMAILCFS = /etc/mail/sendmail.cf /etc/sendmail.cf /usr/lib/sendmail.cf

# Makefile - mark, don't (re)move this, a sed script needs it

all: init
	$(MAKE) make $@

make:
	@$(BSHELL) -c "exit 0"

.PRECIOUS: Makefile

init:
	$(BSHELL) ./initmake $(BSHELL) "$(SHELL)" "$(RM)" "$(MV)" "$(LN)" \
 "$(SEARCHLIBS)" \
 "$(LIBPATHS)" \
 $(DEVNULL) "$(MAKE)" $(O) \
 "$(CC)" "$(CFLAGS1)" "$(LDFLAGS1)" "$(BINSS)" \
 "$(MANS1S)" \
 "$(MANS5S)" "$(SUBDIRS)" \
 "$(VISIBLE_BINDIR)" \
 "$(STRIP)"

makefiles makefile Makefiles Makefile: init
	@$(BSHELL) -c "exit 0"

help target targets \
bins mans install.bin install.man install recommend install-suid clean setid \
realclean veryclean clobber deinstall autoconf.h $(BINSS) multigram: init
	$(MAKE) make $@

=== debian/changelog ===
procmail (3.22-19) unstable; urgency=low

  * Adopted remaining code changes from procmail 3.23pre.
  * Changed MTA recommends to "default-mta | mail-transport-agent".
  * Changed mailstat to use [:alnum:] instead of 0-9A-Za-z.
    Thanks to Juhan Kundla. Closes: #337048.
  * Document that the repetition operator is not supported.
    Thanks to Justin Pryzby. Closes: #452723.
  * Switch to 3.0 (quilt) source format, 27 patches.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 Apr 2010 00:23:26 +0200

procmail (3.22-18) unstable; urgency=low

  * Renamed function 'getline' to 'procmail_getline' to avoid namespace
    clash with modern POSIX. Fixes FTBFS with gcc 4.4. Closes: #549426.
    Patch from Ubuntu. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Oct 2009 23:00:22 +0200

procmail (3.22-17) unstable; urgency=medium

  * Changed mailfold.c to fix off-by-one malloc error in writefolder()
    which made procmail to crash. Closes: #474298, #484352.
  * Do not ignore errors from make realclean.
  * Cleanup of debian/rules.

 -- Santiago Vila <sanvila@debian.org>  Thu,  3 Sep 2009 14:42:44 +0200

procmail (3.22-16) unstable; urgency=low

  * Changed formisc.c so that formail -n actually works (Closes: #151627).
  * Changed procmailex(5) so that it points to the examples directory
    in the Debian binary package, not the source (Closes: #355472).
  * Modified description to not use "real" as an adverb (Closes: #356828).

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Apr 2006 19:20:02 +0200

procmail (3.22-15) unstable; urgency=low

  * Use config.h to override things in autoconf.h that might not be detected
    by autoconf correctly. This undefines NO_COMSAT and gives proper values
    for UDP_protocolno and BIFF_serviceport (will hopefully fix Bug#348667).

 -- Santiago Vila <sanvila@debian.org>  Fri,  3 Feb 2006 00:09:08 +0100

procmail (3.22-14) unstable; urgency=low

  * Hardcode 127.0.0.1 as the address for localhost in config.h.
    The COMSAT variable should work again (Closes: #348667).

 -- Santiago Vila <sanvila@debian.org>  Wed, 18 Jan 2006 19:11:16 +0100

procmail (3.22-13) unstable; urgency=low

  * Make autoconf.h without cflags, then make everything else as usual.
    This should fix a build problem on s390, where strcspn is a macro.
    Thanks to Bastian Blank. Closes: #347563.

 -- Santiago Vila <sanvila@debian.org>  Thu, 12 Jan 2006 19:09:44 +0100

procmail (3.22-12) unstable; urgency=low

  * Removed references to binmail(1) from all manpages (Closes: #300894).
  * Removed PATH line from example .procmailrc (Closes: #334293).

 -- Santiago Vila <sanvila@debian.org>  Sat,  7 Jan 2006 17:47:30 +0100

procmail (3.22-11) unstable; urgency=low

  * Added Large File Support, using the output of "getconf LFS_CFLAGS".
    This will add -D_FILE_OFFSET_BITS=64 when the architecture needs it,
    and only when the architecture needs it (Closes: #236685).
  * Headers User-Agent: and NNTP-Posting-Date: are now recognized by formail
    when splitting messages (Closes: #295604).

 -- Santiago Vila <sanvila@debian.org>  Tue,  1 Mar 2005 16:35:56 +0100

procmail (3.22-10) unstable; urgency=low

  * Modified autoconf to hardcode 127.0.0.1 as the address for localhost,
    instead of taking the value from the machine on which the package is
    being built. Reported by Stephen Frost. Closes: #283529.

 -- Santiago Vila <sanvila@debian.org>  Thu,  2 Dec 2004 19:46:16 +0100

procmail (3.22-9) unstable; urgency=low

  * Changed Recommends: exim to exim4, since that's the default MTA package
    in sarge (Closes: #228572).

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Jan 2004 18:07:10 +0100

procmail (3.22-8) unstable; urgency=low

  * Fixed strange formail -l behaviour when there is a Content-Length: header.
    Thanks a lot to Henning Makholm for the patch (Closes: #217853).

 -- Santiago Vila <sanvila@debian.org>  Mon,  3 Nov 2003 20:01:24 +0100

procmail (3.22-7) unstable; urgency=low

  * Fixed bad nroff syntax in procmailrc(5), closes: #147173.
  * Added missing newline in procmail(1), closes: #180477.

 -- Santiago Vila <sanvila@debian.org>  Mon, 10 Mar 2003 00:09:20 +0100

procmail (3.22-6) unstable; urgency=low

  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:27:08 +0100

procmail (3.22-5) stable; urgency=medium

  * Patched pipes.c to fix a memory allocation bug (Closes: #171514).

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:09:38 +0100

procmail (3.22-4) unstable; urgency=low

  * Fixed a typo in procmail(1). Patch by the author (Closes: #142983).

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Apr 2002 19:16:20 +0200

procmail (3.22-3) unstable; urgency=medium

  * Fixed off-by-one bug in procmail.c which made the raw flag not to be
    cleared properly. Thanks to Gregory Stark (Closes: #134341).

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Feb 2002 16:43:02 +0100

procmail (3.22-2) unstable; urgency=medium

  * Modified mailfold.c to fix a segfault problem. Patch by the author.
  * The system-wide mail directory is /var/mail as per policy.

 -- Santiago Vila <sanvila@debian.org>  Thu, 29 Nov 2001 09:39:04 +0100

procmail (3.22-1) unstable; urgency=low

  * New upstream release, which uses the `standard' format for Maildir
    filenames and retries on name collision. It also contains some
    bug fixes from the 3.23pre snapshot dated 2001-09-13.
  * Removed `sendmail' from the Recommends field, since we already
    have `exim' (the default Debian MTA) and `mail-transport-agent'.
  * Removed suidmanager support. Conflicts: suidmanager (<< 0.50).
  * Added support for DEB_BUILD_OPTIONS in the source package.
  * README.Maildir: Do not use locking on the example recipe,
    since it's wrong to do so in this case.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 09:40:20 +0100

procmail (3.15.2-1) stable; urgency=high



=== debian/control ===
Source: procmail
Section: mail
Priority: standard
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.8.4

Package: procmail
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Recommends: default-mta | mail-transport-agent | fetchmail
Description: Versatile e-mail processor
 Can be used to create mail-servers, mailing lists, sort your incoming
 mail into separate folders/files (very convenient when subscribing to one
 or more mailing lists or for prioritising your mail), preprocess your
 mail, start any programs upon mail arrival (e.g. to generate different
 chimes on your workstation for different types of mail) or selectively
 forward certain incoming mail automatically to someone.

=== debian/rules ===
#!/usr/bin/make -f

package = procmail
docdir = debian/tmp/usr/share/doc/$(package)

CC = gcc
CFLAGS0 = -g $$(getconf LFS_CFLAGS)
LDFLAGS0 =
SEARCHLIBS = -lm
STRIP = true

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS0 += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = strip --remove-section=.comment --remove-section=.note
endif

build:
	$(MAKE) CC="$(CC)" CFLAGS0="" LDFLAGS0="$(LDFLAGS0)" \
		SEARCHLIBS="$(SEARCHLIBS)" autoconf.h
	$(MAKE) CC="$(CC)" CFLAGS0="$(CFLAGS0)" LDFLAGS0="$(LDFLAGS0)" \
		SEARCHLIBS="$(SEARCHLIBS)"
	touch build

clean:
	rm -f build
	$(MAKE) realclean SEARCHLIBS=""
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build

binary-arch: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/examples
	cd debian/tmp && install -d usr/bin
	$(MAKE) BASENAME=`pwd`/debian/tmp/usr install.man install-suid
	$(STRIP) debian/tmp/usr/bin/procmail
	$(STRIP) debian/tmp/usr/bin/lockfile
	$(STRIP) debian/tmp/usr/bin/formail
	cp -p debian/copyright $(docdir)
	cp -p debian/changelog $(docdir)/changelog.Debian
	install -m 644 debian/mailstat.1 debian/tmp/usr/man/man1
	cp -p FEATURES HISTORY README FAQ KNOWN_BUGS \
		debian/QuickStart debian/README.Maildir $(docdir)
	cp -p examples/* $(docdir)/examples
	cd $(docdir)/examples && rm -f dirname mailstat procmail-rpm.spec
	cd $(docdir) && gzip -9 HISTORY changelog.Debian
	ln -s HISTORY.gz $(docdir)/changelog.gz
	mv debian/tmp/usr/man debian/tmp/usr/share
	gzip -r9 debian/tmp/usr/share/man
	dpkg-shlibdeps debian/tmp/usr/bin/*
	dpkg-gencontrol
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	chgrp mail debian/tmp/usr/bin/procmail debian/tmp/usr/bin/lockfile
	chmod 6755 debian/tmp/usr/bin/procmail
	chmod 2755 debian/tmp/usr/bin/lockfile
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## procmail 3.22-19-maemo1

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 # Only edit below this line if you *think* you know what you are doing #
 ########################################################################
 
-#LOCKINGTEST=100	# Uncomment (and change) if you think you know
+LOCKINGTEST=100	# Uncomment (and change) if you think you know
 #			it better than the autoconf lockingtests.
 #			This will cause the lockingtests to be hotwired.
 #			100	to enable fcntl()
@@ -79,7 +79,7 @@
 #			-lresolv	# not really needed, is it?
 
 # Informal list of directories where we look for the libraries in SEARCHLIBS
-LIBPATHS=/lib /usr/lib /usr/local/lib
+LIBPATHS=/lib /usr/lib
 
 GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat -Wtraditional \
  -Wpointer-arith -Wconversion -Waggregate-return \

=== .pc/02/Makefile ===
#$Id: Makefile,v 1.76 2001/07/12 01:27:19 guenther Exp $

# BASENAME should point to where the whole lot will be installed
# change BASENAME to your home directory if need be
BASENAME	= /usr
# For display in the man pages
VISIBLE_BASENAME= $(BASENAME)

# You can predefine ARCHITECTURE to a bin directory suffix
ARCHITECTURE	=
#ARCHITECTURE	=.sun4

BINDIR_TAIL	= bin$(ARCHITECTURE)
MANDIR		= $(BASENAME)/man
BINDIR		= $(BASENAME)/$(BINDIR_TAIL)
VISIBLE_BINDIR	= $(VISIBLE_BASENAME)/$(BINDIR_TAIL)
# MAN1SUFFIX for regular utility manuals
MAN1SUFFIX	=1
# MAN5SUFFIX for file-format descriptions
MAN5SUFFIX	=5
MAN1DIR		= $(MANDIR)/man$(MAN1SUFFIX)
MAN5DIR		= $(MANDIR)/man$(MAN5SUFFIX)

# Uncomment to install compressed man pages (possibly add extra suffix
# to the definitions of MAN?DIR and/or MAN?SUFFIX by hand)
#MANCOMPRESS = compress

############################*#
# Things that can be made are:
#
# help (or targets)	Displays this list you are looking at
# init (or makefiles)	Performs some preliminary sanity checks on your system
#			and generates Makefiles accordingly
# bins			Preinstalls only the binaries to ./new
# mans			Preinstalls only the man pages to ./new
# all			Does both
# install.bin		Installs the binaries from ./new to $(BINDIR)
# install.man		Installs the man pages from ./new to $(MAN[15]DIR)
# install		Does both
# recommend		Show some recommended suid/sgid modes
# install-suid		Impose the modes shown by 'make recommend'
# clean			Attempts to restore the package to pre-make state
# realclean		Attempts to restore the package to pre-make-init state
# deinstall		Removes any previously installed binaries and man
#			pages from your system by careful surgery
# autoconf.h		Will list your system's anomalies
# procmail		Preinstalls just all procmail related stuff to ./new
# formail		Preinstalls just all formail related stuff to ./new
# lockfile		Preinstalls just all lockfile related stuff to ./new
# setid			Creates the setid binary needed by the SmartList
#			installation
######################*#

# Makefile.0 - mark, don't (re)move this, a sed script needs it

LOCKINGTEST=__defaults__

#LOCKINGTEST=/tmp .	# Uncomment and add any directories you see fit.
#			If LOCKINGTEST is defined, autoconf will NOT
#			prompt you to enter additional directories.
#			See INSTALL for more information about the
#			significance of the locking tests.

########################################################################
# Only edit below this line if you *think* you know what you are doing #
########################################################################

#LOCKINGTEST=100	# Uncomment (and change) if you think you know
#			it better than the autoconf lockingtests.
#			This will cause the lockingtests to be hotwired.
#			100	to enable fcntl()
#			010	to enable lockf()
#			001	to enable flock()
#			Or them together to get the desired combination.

# Optional system libraries we search for
SEARCHLIBS = -lm -ldir -lx -lsocket -lnet -linet -lnsl_s -lnsl_i -lnsl -lsun \
 -lgen -lsockdns -ldl
#			-lresolv	# not really needed, is it?

# Informal list of directories where we look for the libraries in SEARCHLIBS
LIBPATHS=/lib /usr/lib

GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat -Wtraditional \
 -Wpointer-arith -Wconversion -Waggregate-return \
 #-Wimplicit -Wshadow -Wid-clash-6 #-Wuninitialized

# The place to put your favourite extra cc flag
CFLAGS0 = -O #$(GCC_WARNINGS)
LDFLAGS0= -s
# Read my libs :-)
LIBS=

CFLAGS1 = $(CFLAGS0) #-posix -Xp
LDFLAGS1= $(LDFLAGS0) $(LIBS) #-lcposix

####CC	= cc # gcc
# object file extension
O	= o
RM	= /bin/rm -f
MV	= mv -f
LN	= ln
BSHELL	= /bin/sh
INSTALL = cp
DEVNULL = /dev/null
STRIP	= strip
MKDIRS	= new/mkinstalldirs

SUBDIRS = src man
BINSS	= procmail lockfile formail mailstat
MANS1S	= procmail formail lockfile
MANS5S	= procmailrc procmailsc procmailex

# Possible locations for the sendmail.cf file
SENDMAILCFS = /etc/mail/sendmail.cf /etc/sendmail.cf /usr/lib/sendmail.cf

# Makefile - mark, don't (re)move this, a sed script needs it

all: init
	$(MAKE) make $@

make:
	@$(BSHELL) -c "exit 0"

.PRECIOUS: Makefile

init:
	$(BSHELL) ./initmake $(BSHELL) "$(SHELL)" "$(RM)" "$(MV)" "$(LN)" \
 "$(SEARCHLIBS)" \
 "$(LIBPATHS)" \
 $(DEVNULL) "$(MAKE)" $(O) \
 "$(CC)" "$(CFLAGS1)" "$(LDFLAGS1)" "$(BINSS)" \
 "$(MANS1S)" \
 "$(MANS5S)" "$(SUBDIRS)" \
 "$(VISIBLE_BINDIR)" \
 "$(STRIP)"

makefiles makefile Makefiles Makefile: init
	@$(BSHELL) -c "exit 0"

help target targets \
bins mans install.bin install.man install recommend install-suid clean setid \
realclean veryclean clobber deinstall autoconf.h $(BINSS) multigram: init
	$(MAKE) make $@

=== debian/changelog ===
procmail (3.22-19-maemo1) unstable; urgency=low

  * Rebuild for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 28 Mar 2012 23:19:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: procmail
 Section: mail
 Priority: standard
-Maintainer: Santiago Vila <sanvila@debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Standards-Version: 3.8.4
+Homepage: http://www.procmail.org/
 
 Package: procmail
 Architecture: any
@@ -16,3 +17,5 @@
  mail, start any programs upon mail arrival (e.g. to generate different
  chimes on your workstation for different types of mail) or selectively
  forward certain incoming mail automatically to someone.
+XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
+

## procmail 3.24

=== man/Makefile ===
#$Id$

all: init
	$(MAKE) make $@

# The only real thing that can be made right now is:

init:
	cd ..; $(MAKE) make init

.PRECIOUS: Makefile

Makefile makefile Makefiles makefiles: init

procmail.1 procmailrc.5 procmailsc.5 procmailex.5 lockfile.1 formail.1 \
 mailstat.1: init
	$(MAKE) make $@

=== src/Makefile ===
#$Id$

all: init
	$(MAKE) make $@

# The only real thing that can be made right now is:

init:
	cd ..; $(MAKE) make init

.PRECIOUS: Makefile

Makefile makefile Makefiles makefiles: init

procmail lockfile formail multigram mailstat setid getparams gethome \
../autoconf.h autoconf.h: init
	$(MAKE) make $@

=== debian/changelog ===
procmail (3.24-1ubuntu4) questing; urgency=medium

  * Fix FTBFS with GCC-15 (LP: #2125339), thanks to Santiago Vila.
    - Fix src/autoconf for gcc-15.
      + d/p/autoconf-fix-for-gcc-15.patch
      + d/p/skip-const-probe.patch
    - Do not "fix" prototype for uname().
      + d/p/do-not-fix-uname.patch
    - d/rules: Build using C17 standard with GNU extensions.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 22 Sep 2025 11:01:22 +0200

procmail (3.24-1ubuntu3) oracular; urgency=medium

  * d/p/fix-gcc-14-build.patch: Fix build with gcc-14.
    Forward-port of ftbfs fix from 3.24+really3.22-3 to 3.24.
    (LP: #2078301)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 30 Aug 2024 12:03:04 -0700

procmail (3.24-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:20 +0200

procmail (3.24-1ubuntu1) noble; urgency=medium

  * d/t/basic: Add basic DEP8 packaging/integration test cases.
    (LP: #1679365)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 07 Dec 2023 09:18:34 -0800

procmail (3.24-1) unstable; urgency=medium

  * New upstream release, now hosted on github. Closes: #1006633.
  * Downgrade priority to optional to match the override file.
  * Update Homepage. Closes: #805864.
  * Switch to dh. Now there is a procmail-dbgsym package. Closes: #1006653.
  * Drop debian/mailstat.1, it has been adopted upstream.
  * Set upstream metadata fields Bug-Database, Bug-Submit and Repository-Browse.
  * Rules-Requires-Root: binary-targets.
  * Use List-Id in QuickStart and README.Maildir.
  * Update standards version to 4.6.2.
  * No longer necessary patches:
    - 00: Adopted upstream (this is version 3.24, which is past 3.23pre).
    - 06: Adopted upstream.
    - 10: Adopted upstream.
    - 12: Adopted upstream.
    - 13: Adopted upstream.
    - 14: Fixed upstream in another way.
    - 15: Adopted upstream.
    - 16: Adopted upstream.
    - 17: Adopted upstream.
    - 18: Adopted upstream.
    - 19: Adopted upstream.
    - 21: Adopted upstream.
    - 22: Adopted upstream.
    - 23: Adopted upstream.
    - 24: Fixed upstream using cgetline.
    - 25: Adopted upstream.
    - 26: Adopted upstream.
    - 27: Fixed upstream in another way.
    - 28: Adopted upstream.
    - 29: Adopted upstream.
    - 30: Fixed upstream in another way.
    - 31: Adopted upstream.
  * Renamed patches:
    - 01: renamed to trim-list-of-directories-to-search.patch.
    - 02: renamed to use-fcntl-and-dot-locking.patch.
    - 03: renamed to do-not-touch-var-mail-during-build.patch.
    - 04: renamed to define-path-for-example-procmailrc.patch.
    - 05: renamed to allow-writeable-rcfiles.patch.
    - 07: renamed to make-buggy-sendmail-to-be-undefined.patch.
    - 08: renamed to define-default-path.patch.
    - 09: renamed to define-defaultdotlock-to-follow-locking-policy.patch.
    - 11: renamed to do-not-search-for-var-mail.patch.
    - 20: renamed to hardcode-things-for-biff.patch.

 -- Santiago Vila <sanvila@debian.org>  Thu, 05 Jan 2023 22:35:00 +0100

procmail (3.22-27) unstable; urgency=medium

  * Fix NULL pointer dereference. Closes: #769938.
    Reported by Jakub Wilk using American Fuzzy Lop.
    Patch from Stephen R. van den Berg.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Mar 2022 15:00:00 +0100

procmail (3.22-26) unstable; urgency=medium

  * Fix buffer overflow in loadbuf(). Closes: #876511.
    Reported by Jakub Wilk using American Fuzzy Lop.
    For reference, this is CVE-2017-16844.

 -- Santiago Vila <sanvila@debian.org>  Thu, 16 Nov 2017 23:42:36 +0100

procmail (3.22-25) unstable; urgency=low

  * Use gzip -n to stop recording current time, and fix mtimes
    before building binary package. Closes: #774367.
  * Create md5sums in a reproducible way.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 16:25:36 +0200

procmail (3.22-24) unstable; urgency=medium

  * Fix two memory corruption problems in formail. Closes: #769937.
    Reported by Jakub Wilk. Patch by Jan Darmochwal. Thanks a lot.
    The problems are the following:
  - Off-by-one heap overflow when parsing addresses that have left angle
    bracket, then a comma, but no right angle bracket: <moo@example.com,
  - Off-by-one heap overflow when parsing addresses that end with
    backslash: <moo@example.com\

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Feb 2015 16:41:40 +0100

procmail (3.22-23) unstable; urgency=medium

  * Fixed heap overflow in procmail that made it to segfault on
    some unusual (but legit) .procmailrc files. Closes: #771958.
    Thanks a lot to Tero Marttila.

 -- Santiago Vila <sanvila@debian.org>  Wed, 03 Dec 2014 23:51:52 +0100

procmail (3.22-22) unstable; urgency=high

  * Fixed heap overflow in formail that made it to crash on messages
    having specially-crafted headers. Closes: #704675, #760443.
    For reference, this is CVE-2014-3618.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Sep 2014 12:08:36 +0200

procmail (3.22-21) unstable; urgency=low

  * debian/patches: Try to correlate patches with bugs and Debian releases.
  * Really adopt remaining changes from procmail 3.23pre. No code changes
    here, just some documentation and RCS Id strings. As a result, this
    release now identifies itself as 3.23pre which is a lot closer to reality.
  * Removed obsolete Conflicts: suidmanager.

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 Oct 2013 19:30:30 +0200

procmail (3.22-20) unstable; urgency=low

  * Added recommended targets build-arch and build-indep.
  * Build with hardening flags. Closes: #674658.
  * Added homepage control field.
  * Added lintian overrides.

 -- Santiago Vila <sanvila@debian.org>  Wed, 06 Jun 2012 23:05:24 +0200

=== debian/control ===
Source: procmail
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Homepage: https://github.com/BuGlessRB/procmail

Package: procmail
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: default-mta | mail-transport-agent | fetchmail
Description: Versatile e-mail processor
 Can be used to create mail-servers, mailing lists, sort your incoming
 mail into separate folders/files (very convenient when subscribing to one
 or more mailing lists or for prioritising your mail), preprocess your
 mail, start any programs upon mail arrival (e.g. to generate different
 chimes on your workstation for different types of mail) or selectively
 forward certain incoming mail automatically to someone.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

CC = gcc
CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $$(getconf LFS_CFLAGS) -std=gnu17
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
SEARCHLIBS = -lm

override_dh_auto_build:
	$(MAKE) CC="$(CC)" CFLAGS0="" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)" autoconf.h
	$(MAKE) CC="$(CC)" CFLAGS0="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)"

override_dh_auto_clean:
	$(MAKE) realclean SEARCHLIBS=""
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) BASENAME=`pwd`/debian/tmp/usr MANDIR=`pwd`/debian/tmp/usr/share/man \
		install.man install-suid

override_dh_installexamples:
	dh_installexamples -Xdirname -Xmailstat -Xprocmail-rpm.spec

override_dh_installchangelogs:
	dh_installchangelogs -XHISTORY

override_dh_compress:
	dh_compress -XFAQ -XFEATURES -XREADME

override_dh_fixperms:
	dh_fixperms
	chgrp mail debian/procmail/usr/bin/procmail
	chgrp mail debian/procmail/usr/bin/lockfile
	chmod 6755 debian/procmail/usr/bin/procmail
	chmod 2755 debian/procmail/usr/bin/lockfile

=== debian/tests/control ===
Tests: basic
Restrictions: isolation-container, needs-root

## procmail 3.24+really3.22

=== debian/changelog ===
procmail (3.24+really3.22-5) unstable; urgency=medium

  * Fix build with gcc-15. Closes: #1097653.
  * Add Vcs-Git and Vcs-Browser fields.
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Thu, 14 Aug 2025 19:40:00 +0200

procmail (3.24+really3.22-4) unstable; urgency=medium

  * Fix autoconf typo which made WMACROS_NON_POSIX to be incorrectly defined.
    The macro that should be checked is called WTERMSIG(), not WSIGTERM().
    According to github repo, this bug was introduced in commit [c4e3f584]
    on 1993-11-24, i.e. more than 30 years ago.

 -- Santiago Vila <sanvila@debian.org>  Sat, 27 Jul 2024 12:05:00 +0200

procmail (3.24+really3.22-3) unstable; urgency=medium

  * Fix build with gcc-14. Closes: #1075398.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Jul 2024 14:10:00 +0200

procmail (3.24+really3.22-2) unstable; urgency=medium

  * Cherry-pick [a39ebad] from github repo, "Eliminate warnings".
  * Drop -Werror=implicit-function-declaration from DEB_CFLAGS_MAINT_STRIP.
  * Add lintian override.

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Apr 2024 13:05:00 +0200

procmail (3.24+really3.22-1) unstable; urgency=medium

  * Revert to version 3.22. Fixes bug "Variable set with stdin pipe action
    fails leaving empty variable". Thanks a lot to Bob Proulx for the report.
    Closes: #1028356.
  * Most packaging changes from 3.24-1 are kept. The debian patches are taken
    from version 3.22-27 again, but renamed from NN to NN.patch.
  * Strip -Werror=implicit-function-declaration from CFLAGS.

 -- Santiago Vila <sanvila@debian.org>  Mon, 01 Apr 2024 19:35:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: procmail
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
+Maintainer: Santiago Vila <sanvila@debian.org>
 Build-Depends: debhelper-compat (= 13)
+Vcs-Git: https://salsa.debian.org/sanvila/procmail.git
+Vcs-Browser: https://salsa.debian.org/sanvila/procmail
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/BuGlessRB/procmail
 
 Package: procmail

=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,11 @@
 	$(MAKE) BASENAME=`pwd`/debian/tmp/usr MANDIR=`pwd`/debian/tmp/usr/share/man \
 		install.man install-suid
 
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim -XHISTORY
+
 override_dh_installexamples:
 	dh_installexamples -Xdirname -Xmailstat -Xprocmail-rpm.spec
-
-override_dh_installchangelogs:
-	dh_installchangelogs -XHISTORY
 
 override_dh_compress:
 	dh_compress -XFAQ -XFEATURES -XREADME
